{% extends 'base.html' %}

{% block content %}
        {% if user.is_authenticated %}
<h4 style="text-align: center">Dear Voters! you must select 3 candidate</h4>

  <form name=form1 method="post">
    {% csrf_token %}
<div class="col d-flex justify-content-center">

  <div class="card" style="width: 18rem;">
  <div class="card-body">
<div id="yyy">
    {% if data %}
    <div style="text-align: center; color: black" >{{ data }}</div>
<table style="border-spacing: 0 1em;    border-collapse: separate;">
<tr>

    {% elif not data %}

    {% for value, text in form.candidates_name.field.choices  %}
        <td><label for="id_providers_{{ forloop.counter0 }}"></label>
        <input class="single-checkbox" id="id_providers_" onclick='chkcontrol({{ forloop.counter0 }})' name="candidates_name" type="checkbox" value="{{ value }}"{% if value in checked_providers %} {% endif %}>
    <td><label style="color: black; text-align: left">{{ text }}</label><br>
</tr>
        {% endfor %}
</table>

</div>

    <button class="btn btn-success btn-block" onclick='control(0)' type="submit">Submit</button>
  </div></div> </div> </form>
    {% endif %}

    {% endif %}
{% endblock %}
